package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitPlanTask;
import com.ruoyi.system.domain.visit.vo.VisitPlanTaskSearchParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface VisitPlanTaskExtMapper {
    int insertForList(List<VisitPlanTask> list);

    List<Map<String,String>> selectAqzfTj(@Param("startTime")String startTime, @Param("endTime")String endTime);

    List<VisitPlanTask> listByParams(VisitPlanTaskSearchParam param);

    Integer countByParam(VisitPlanTaskSearchParam param);
}
